Install Zarafa on SLES11

From Zarafa wiki

Revision as of 06:56, 7 June 2010 by Admin (Talk | contribs)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

From 6.40.0 Zarafa has support for SLES11. However in the distribution there is a bug with libxml2, which is used by php to parse requests from the Zarafa WebAccess.
Because of this bug HTML emails send by the WebAccess will contain all HTML tags in the body.

The libxml2 bug itself is fixed, however Novell doesn't provide yet a new php packages which is build with the new libxml2 package. To successfully install SLES11, please follow these steps to install a newer php version.


You can find the PHP5 Packages I've built on following URL:


  • Add the following repository to your SLES11 installation
 zypper ar http://sles.medozas.de/11/sles-medozas.repo
  • Install the new php5 package
 zypper in php5
  • Restart Apache to load the new php version
 /etc/init.d/apache2 restart


Now the Zarafa WebAccess should be fully working.
The new php version will be included in the upcoming SP1 for SLES11, so then it's not required anymore to use the extra repository.


The packages can be download also on the following url:

http://sles.medozas.de/11

Personal tools